SSIExec (Catalina Internal API Documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIExec

    java.lang.Object
      org.apache.catalina.ssi.SSIExec

All Implemented Interfaces:
  SSICommand

public class SSIExec
extends java.lang.Object
implements SSICommand

Implements the Server-side #exec command

Version:
  $Revision: 1.4 $, $Date: 2004/08/26 21:39:40 $
Author:
  Bip Thelin, Amy Roh, Paul Speed, Dan Sandberg

Field Summary
`protected static int` | `BUFFER_SIZE`
`protected SSIInclude` | `ssiInclude`

Constructor Summary
`SSIExec()`

Method Summary
`void` | `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ssiInclude

    protected SSIInclude ssiInclude

### BUFFER_SIZE

    protected static final int BUFFER_SIZE

See Also:
  Constant Field Values

Constructor Detail

### SSIExec

    public SSIExec()

Method Detail

### process

    public void process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  See Also:
    `SSICommand`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.